.product-single__timer {
    background: var(--secondary-color);
    color: white;
    padding: 10px 0;
    padding-bottom: 20px;
}

.product-single__timer-inner {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}

.product-single__timer-left {
    display: flex;
    font-size: 12px;
    width: 160px;
    gap: 8px;
    line-height: 1.3;
    align-items: flex-end;
}

.product-single__timer-left img {
    margin-bottom: 5px;
}

.product-single__timer-right {
    display: flex;
    gap: 12px;
}

.product-single__timer-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 10px;
}

.product-single__timer-item span {
    font-size: 25px;
    font-weight: 700;
}

.product-single__timer-delimiter {
    font-size: 25px;
    font-weight: 700;
    display: flex;
    align-items: flex-end;
    line-height: 1;
}

/* */

.product-single__title {
    margin: 0;
    font-weight: 700;
    line-height: 130%;
    margin-bottom: 8px;
    text-align: center;
    font-size: 20px;
    padding: 20px 0;
}

.product-single__gallery .f-carousel__slide img {
    width: 100%;
    height: auto;
    object-fit: contain;
}

.product-single__gallery~.f-thumbs {
    background: var(--secondary-color);
}

.product-single__gallery~.f-thumbs .f-thumbs__viewport {
    margin: 0;
}

/* Rating */

.product-single__rating {
    background: white;
    padding: 15px 0;
}

.product-single__rating-inner {
    display: flex;
    justify-content: space-between;
}

.product-single__rating-left {
    display: flex;
    align-items: center;
    gap: 5px;
}

.product-single__rating-stars {
    position: relative;
    font-family: 'star';
    font-size: 22px;
}

.product-single__rating-stars::before {
    content: '★★★★★';
    color: #ccc;
}

.product-single__rating-stars span {
    position: absolute;
    top: 0;
    left: 0;
    overflow: hidden;
}

.product-single__rating-stars span::before {
    content: '★★★★★';
    color: #FBB72C;
}

.product-single__rating-right {
    display: flex;
}

.product-single__rating-item {
    display: flex;
    align-items: center;
    gap: 4px;
    font-size: 13px;
}

.product-single__rating-item span {
    font-weight: 600;
}

.product-single__rating-delimiter {
    border-right: 1px solid var(--secondary-color);
    padding-right: 5px;
    margin-right: 5px;
}

/* Price */

.product-single__price {
    display: flex;
    padding: 20px 0;
    justify-content: space-between;
    align-items: center;
}

.product-single__price-new {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.product-single__discount {
    font-size: 12px;
    background: var(--red-color);
    color: white;
    line-height: 1;
    padding: 5px;
    border-radius: 5px;
    width: fit-content;
}

.product-single__price-new ins {
    font-size: 35px;
    font-weight: 800;
    color: var(--red-color);
    text-decoration: none;
    line-height: 1;
}

.product-single__price-old {
    opacity: .6;
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.product-single__price-old .product-single__caption {
    font-size: 14px;
}

.product-single__price-old del {
    font-size: 20px;
    font-weight: 400;
}

.product-single__shortdesc {
    text-align: center;
    padding: 15px 0;
}

.product-single__stock {
    text-align: center;
    padding: 15px 0;
    font-size: 18px;
    opacity: .8;
    line-height: 1;
    margin-bottom: 15px;
}

.product-single__stock span {
    background: var(--secondary-color);
    color: white;
    padding: 5px;
    border-radius: 5px;
}

.single_add_to_cart_button {
    margin: 15px 0;
}

/* Content */

.product-single__content ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.product-single__content ul li {
    align-items: center;
    display: flex;
    gap: 8px;
    font-size: 18px;
    font-weight: 500;
}

.product-single__content ul li:not(:last-child) {
    margin-bottom: 12px;
}

.product-single__content ul li::before {
    content: url('data:image/svg+xml,<svg viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><g id="SVGRepo_bgCarrier" stroke-width="0"></g><g id="SVGRepo_tracerCarrier" stroke-linecap="round" stroke-linejoin="round"></g><g id="SVGRepo_iconCarrier"><path fill-rule="evenodd" clip-rule="evenodd" d="M22 12C22 17.5228 17.5228 22 12 22C6.47715 22 2 17.5228 2 12C2 6.47715 6.47715 2 12 2C17.5228 2 22 6.47715 22 12ZM16.0303 8.96967C16.3232 9.26256 16.3232 9.73744 16.0303 10.0303L11.0303 15.0303C10.7374 15.3232 10.2626 15.3232 9.96967 15.0303L7.96967 13.0303C7.67678 12.7374 7.67678 12.2626 7.96967 11.9697C8.26256 11.6768 8.73744 11.6768 9.03033 11.9697L10.5 13.4393L12.7348 11.2045L14.9697 8.96967C15.2626 8.67678 15.7374 8.67678 16.0303 8.96967Z" fill="%231C274C"></path></g></svg>');
    width: 24px;
    height: 24px;
    flex-shrink: 0;
}

.product-single__content p:has(img) {
    width: calc(100% + 36px);
    margin-left: -18px;
}

.product-single__content p:has(img) img {
    width: 100%;
    object-fit: contain;
}

.product-single__content p:last-child {
    margin-bottom: 0;
}

/* Qualities */

.product-single__qualities-title {
    margin: 0;
    font-weight: 700;
    line-height: 130%;
    text-align: center;
    font-size: 20px;
    padding: 20px 0;
    text-transform: uppercase;
}

.product-single__quality {
    background: white;
    padding: 20px 0;
}

.product-single__quality:not(:last-child) {
    margin-bottom: 10px;
}

.product-single__quality-head {
    display: flex;
    margin-bottom: 10px;
    gap: 15px;
    align-items: center;
}

.product-single__quality-title {
    font-size: 25px;
    line-height: 120%;
    font-weight: 800;
}

.product-single__quality-desc {
    font-size: 14px;
    line-height: 150%;
}

/* Attributes */

.product-single__attributes-title {
    background: var(--secondary-color);
    margin-top: 15px;
    color: white;
}

.product-single__attributes-title h2 {
    margin: 0;
    font-weight: 700;
    line-height: 130%;
    text-align: center;
    font-size: 20px;
    padding: 20px 0;
    text-transform: uppercase;
}

.product-single__attributes-img {
    width: 100%;
    object-fit: contain;
}

.product-single__attribute {
    background: var(--secondary-color);
    color: white;
    padding: 10px 0;
    font-size: 16px;
}

.product-single__attribute:nth-child(even) {
    background: var(--secondary-color2);
}

.product-single__attribute-inner {
    display: flex;
    justify-content: space-between;
}

.product-single__attribute-key {
    font-weight: 700;
    width: calc(50% - 10px);
}

.product-single__attribute-value {
    font-weight: 400;
    width: calc(50% - 10px);
}

/* Reviews */

.product-single__reviews {
    margin-top: 30px;
}

.product-single__reviews-title {
    margin: 0;
    font-weight: 700;
    line-height: 130%;
    margin-bottom: 24px;
    text-align: center;
    font-size: 20px;
    text-transform: uppercase;
}

.product-single__review {
    margin: 0 auto;
    background: url(../images/chat_bg.jpg) 50% 0% repeat;
    position: relative;
    overflow: hidden;
    border-radius: 20px;
    border: 1px solid #d9d9d9;
}

.product-single__review:after {
    content: "";
    width: calc(100% - 10px);
    height: 57px;
    background: url(../images/chat_footer.png) 50% 50% no-repeat;
    background-size: contain;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 7px;
}

.product-single__review-head {
    background: #ffffff url(../images/chat_head.png) 3px 50% no-repeat;
    background-size: contain;
    padding: 10px 45px;
    padding-right: 130px;
    box-shadow: 0 0 12px 0 rgba(0, 0, 0, 0.35);
    position: relative;
    z-index: 2;
    border-radius: 20px 20px 0px 0px;
    display: flex;
    align-items: center;
    gap: 8px;
}

.product-single__review-head img {
    border-radius: 100%;
    object-fit: cover;
    flex-shrink: 0;
}

.product-single__review-name {
    font-size: 16px;
    font-weight: 700;
}

.product-single__review-caption {
    font-size: 11px;
    line-height: 1.3;
    width: max-content
}

.product-single__review-date {
    margin: 0 auto;
    margin-top: 10px;
    width: fit-content;
    background: #d4ebf3;
    text-transform: uppercase;
    font-size: 12px;
    line-height: 28px;
    color: #3f5250;
    padding: 0 8px;
    border-radius: 7px;
    box-shadow: 0 1px 5px 0 rgba(0, 0, 0, 0.2);
}

.product-single__review-messages {
    margin-top: 10px;
    padding: 0 12px;
}

.product-single__review-message {
    background: #fff;
    border-radius: 0 6px 6px 6px;
    display: inline-block;
    max-width: 260px;
    min-width: 70px;
    padding: 6px 10px;
    position: relative;
    font-size: 14px;
    line-height: 1.5;
    color: #212121;
    box-shadow: 0 1px 3px 0 rgba(0, 0, 0, 0.25);
    margin-bottom: 10px;
}

.product-single__review-message.author {
    background: #c8e2fd;
    border-radius: 10px 0 10px 10px;
    padding: 6px 10px;
    float: right;
}

.product-single__review-message:before {
    content: "";
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 8px 8px 0;
    border-color: transparent #fff transparent transparent;
    position: absolute;
    top: 0;
    left: -6px;
}

.product-single__review-message.author:before {
    border-width: 8px 8px 0 0; 
    border-color: #c8e2fd transparent transparent transparent;
    left: unset;
    right: -6px;
}

.product-single__review-message p {
    margin: 0;
    margin-bottom: 5px;
    text-align: left;
}

.product-single__review-message img {
    display: block;
    margin: 6px auto;
    border-radius: 4px;
    aspect-ratio: 1 / 1.3;
    object-fit: cover;
    width: 100%;
}

.product-single__review-message .time {
    text-align: right;
    font-size: 13px;
    line-height: 1;
    color: #989898;
}

/* Popup orders */

.popup-orders {
    background: white;
    border-radius: 3px;
    box-shadow: 0 4px 20px rgba(0, 0, 0, .15);
    display: flex;
    flex-direction: column;
    padding: 12px;
    width: fit-content;
    position: relative;
    opacity: 0;
    pointer-events: none;
    transition: .3s;
}

.popup-orders.active {
    position: fixed;
    right: 10px;
    top: 25px;
    z-index: 999;
    opacity: 1;
    pointer-events: all;
}

.popup-orders__close {
    width: 24px;
    height: 24px;
    background: var(--primary-color);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 100%;
    position: absolute;
    right: -10px;
    top: -10px;
}

.popup-orders__title {
    color: #000;
    font-size: 14px;
    font-weight: 700;
    margin-bottom: 7px;
}

.popup-orders__inner {
    align-items: center;
    display: flex;
    justify-content: space-between;
}

.popup-orders__inner span {
    line-height: 1;
}

.popup-orders__inner b {
    font-size: 25px;
    font-weight: 700;
}